Nvidia 430xx Treiber lässt sich nicht entfernen

Hallo!
Ich habe den nvidia-430xx Treiber am laufen und möchte zum testen den nvidia-435xx installieren.
Dazu muss ich zuerst den 430xx entfernen. Wenn ich es versuche bekomme ich folgende Meldung:

Starting
Removing video-nvidia-430xx...
Using default
Has lib32 support: true
Sourcing /var/lib/mhwd/local/pci/video-nvidia-430xx/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
Processing classid: 0302
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: linux-latest-nvidia-430xx: removing linux53-nvidia-430xx breaks dependency 'linux53-nvidia-430xx'
Error: pacman failed!
Error: script failed!

Wie bekomme ich den 430xx entfernt um den 435xx installieren zu können ?

Ich habe auch versucht den Kernel 5.3 zu entfernen. Dies funktioniert ebenfalls nicht:

linux53
linux53-nvidia-430xx
linux53-virtualbox-host-modules
Starting
checking dependencies...
:: linux-latest: removing linux53 breaks dependency 'linux53'
:: linux-latest-nvidia-430xx: removing linux53-nvidia-430xx breaks dependency 'linux53-nvidia-430xx'
:: linux-latest-virtualbox-host-modules: removing linux53-virtualbox-host-modules breaks dependency 'linux53-virtualbox-host-modules'

Bitte um Lösungsvorschläge, vielen Dank!

Ich denke du musst linux-latest-nvidia-430xx vorher entfernen.

sudo pacman -R linux-latest-nvidia-430xx

das ist ein metapackage von linux-latest-extramodules.

@philm Sollte mhwd das nicht selber machen, wenn es schon die Kernel-Module entfernt?

1 Like

Das interessiert mich auch sehr. Bin schon auf das Ergebnis gespannt. Wenn alles funzt, werde ich auch auf 425 umsteigen. :+1:

Gruß
caho

1 Like

Hallo firefightux !

Vielen Dank für Deine Antwort. Hat perfekt funktioniert. :+1:

Viele Grüße und ein schönes Wochenende

1 Like

Hallo @Black,
wie hast Du denn den Treiber deinstalliert und dann den 435 installiert?

Ein mhwd -l --pci bietet mir nur den 340 an ...

Gruß
caho

Wenn dein inxi von hier immer noch stimmt hast du mit der GT 545 eine GPU der Fermi-Generation. D.h. Nvidia unterstützt deine GPU nur mit den 340.xx und 390.xx Treibern. Alles mit 4xx unterstützt diese GPU nicht mehr

Hallo @firefightux,

mein Inxi zeigt mir folgendes:

System:    Host: Laptop Kernel: 5.3.6-1-MANJARO x86_64 bits: 64 Desktop: KDE Plasma 5.16.5 Distro: Manjaro Linux 
Machine:   Type: Laptop System: LENOVO product: 766511G v: ThinkPad T61 serial: <filter> 
           Mobo: LENOVO model: 766511G serial: <filter> BIOS: LENOVO v: 7LETC1WW (2.21 ) date: 07/01/2008 
Battery:   ID-1: BAT0 charge: 63.5 Wh condition: 64.0/71.3 Wh (90%) 
CPU:       Topology: Dual Core model: Intel Core2 Duo T7100 bits: 64 type: MCP L2 cache: 2048 KiB 
           Speed: 1796 MHz min/max: 800/1801 MHz Core speeds (MHz): 1: 1796 2: 1796 
Graphics:  Device-1: NVIDIA G86M [Quadro NVS 140M] driver: nvidia v: 340.107 
           Display: x11 server: X.Org 1.20.5 driver: nvidia resolution: 1440x900~60Hz 
           OpenGL: renderer: Quadro NVS 140M/PCIe/SSE2 v: 3.3.0 NVIDIA 340.107 
Audio:     Device-1: Intel 82801H HD Audio driver: snd_hda_intel 
           Sound Server: ALSA v: k5.3.6-1-MANJARO 
Network:   Device-1: Intel 82566MM Gigabit Network driver: e1000e 
           IF: enp0s25 state: down mac: <filter> 
           Device-2: Intel PRO/Wireless 4965 AG or AGN [Kedron] Network driver: iwl4965 
           IF: wls3 state: up mac: <filter> 
Drives:    Local Storage: total: 223.57 GiB used: 17.53 GiB (7.8%) 
           ID-1: /dev/sda vendor: SanDisk model: SDSSDHII240G size: 223.57 GiB 
Partition: ID-1: / size: 211.70 GiB used: 17.53 GiB (8.3%) fs: ext4 dev: /dev/sda1 
           ID-2: swap-1 size: 8.36 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/sda2 
Sensors:   System Temperatures: cpu: 43.0 C mobo: 38.0 C gpu: nvidia temp: 53 C 
           Fan Speeds (RPM): fan-1: 0 
Info:      Processes: 188 Uptime: 2m Memory: 3.78 GiB used: 1.33 GiB (35.2%) Shell: bash inxi: 3.0.36 

Was sagt mir das nun bezüglich neueren Grafiktreiber?

Gruß
caho

Die GPU ist sogar noch älter und wird von Nvidia nur noch mit dem 340.xx legacy-Treiber unterstützt. Also alles richtig so.
Eine Übersicht welche GPUs vom aktuellen 435.21 Treiber und welche von den Legcy-Treibern 390.xx und 340.xx unterstützt findest du hier: https://download.nvidia.com/XFree86/Linux-x86_64/435.21/README/supportedchips.html

1 Like

Aber immerhin noch zu neu fürs deutsche Museum :slight_smile:

Danke für den Link. Gut, wenn man weiß, wo man nachschauen kann.

Gruß
caho

1 Like

Forum kindly sponsored by